#include <stdio.h>
#include <stdlib.h>
#include "nmap_gpio_screen.h"
#include "spi_screen.h"
#include "ppm.h"

int main(int argc, char *argv[])
{
	if(argc < 2)
	{
		printf("./show_image image\n");
		return 1;
	}
	//printf("Programme d'ouverture d'image\n");
	int fd;
	void *gpio_base_addr;
	spi_display_t disp;
	img_t *image = load_ppm(argv[1]);
	if ((disp.fd_spi = open(SPIDEVNODE, O_RDWR)) == -1)
        pabort("Failed opening SPI device");
	init_pin_screen(&fd, &gpio_base_addr);
	//printf("INIT PIN SCREEN OK\n");
	set_cmd_data(0, gpio_base_addr);
	set_backlight(0, gpio_base_addr);
	//printf("SET PIN OK\n");
	disp_init(&disp,gpio_base_addr);
	//printf("INIT SCREEN OK\n");

	// printf("Clear in BLACK...\n");
	// disp_clear(&disp, BLACK,gpio_base_addr);
	//
	// printf("Clear in GREEN...\n");
	// disp_clear(&disp, GREEN,gpio_base_addr);

	//printf("Show Image...\n");
	display_image(image,&disp,gpio_base_addr);
	//getchar();
	//set_backlight(0, gpio_base_addr);
	set_cmd_data(0, gpio_base_addr);
	close(disp.fd_spi);
	free_pin_screen(fd, gpio_base_addr);
	free_img(image);
	printf("FIN Programme\n");
	return 0;
}
