# Lab Image Viewer

## But
- Accès à l’écran LCD de la carte MyLab2 via la carte Sama5D3 Xplained sous Linux, en particulier être capable d’afficher des images au format PPM sur l’écran LCD.
- Développement d’une API REST s’exécutant sur la carte Sama5D3 (serveur backend) offrant les fonctionalités suivantes :
- ajouter une image sur le serveur
- supprimer une image du serveur
- lister les images se trouvant sur le serveur.
- afficher une image présente sur le serveur sur l’écran LCD de la carte MyLab2.
- Integration de l’application dans Buildroot, ce avec toutes les dépendences nécessaires.

## Ce qui as été fait :
- API
	- /upload, /list, /delete, /display, /download Fonctionnel
	- Ajout d'une fonctionnalité qui affiche aleatoirement une image du dossier upload.
- FrontEnd
	- FrontEnd Fonctionnel, permet d'uploader des image avec un formulaire, et de lister les image dans le dossier d'upload afin de les afficher/télécharger/supprimer. 
- Show_image
	- Fonctionnel sous forme de serveur, le programme attend de recevoir le signal USR1, puis affiche l'image dans /API/.tmp/to_show.ppm, et supprime l'image apres l'avoir affiché
	- Gestion de la concurence grace au fichier to_show.ppm.

## Ce qui reste a faire :
- Meilleur integration dans buildroot, pour l'instant l'executable show_image est simplement placé dans l'overlay, mais n'est pas compilé par BuildRoot
- Amelioré le FrontEnd pour transferé les requete upload du FrontEnd vers l'API.

## DEMO
note :
Dans le vidéo je fais un test de "concurence", en realité ce n'en n'
est pas un car les requetes arrive les une apres les autre.

- https://www.youtube.com/watch?v=vXG04BMRmeY
