from flask import Flask, jsonify, render_template, request, send_file
import requests
import json
import os
#import socket


#IP = socket.gethostbyname(socket.gethostname())
HOST = "0.0.0.0" # The interface to bind to (0.0.0.0 means all interfaces)
IP = "192.168.2.42" #fonctionnel, mais pas terrible
UPLOAD_FOLDER = '/API/upload'


app = Flask(__name__)
app.config['UPLOAD_FOLDER'] = UPLOAD_FOLDER

def getFileList():
    return json.loads(requests.get('http://127.0.0.1:5000/list').content)

@app.route('/', methods=['GET'])
def index():
    return render_template("index.html")

@app.route('/upload', methods=['POST'])
def upload():
    file = request.files['File']
    filePath = os.path.join(app.config['UPLOAD_FOLDER'], file.filename)
    newFilePath = os.path.splitext(filePath)[0]+'.ppm'
    #print(newFilePath)
    try:
        file.save(filePath)
        os.system("convert "+filePath+" -resize 240x320! "+newFilePath)
        if(os.path.splitext(filePath)[1] != ".ppm"):#si le fichier de base etait deja un ppm
            os.remove(filePath)
    except:
        return jsonify({'ERROR': 'failed uploading '+file.filename}), 500
    return jsonify({'OK':file.filename+' uploaded'}), 200
    #redirect le fichier vers l'API, pas fonctionnel !!!
    # files = {'File' : request.files['File']}
    # response = requests.post("http://"+IP+":5000/upload", files = files)
    # response = requests.post("http://"+IP+":5000/upload", files = request.files)
    # return response.text ,response.status_code

@app.route('/listDisplay', methods=['GET'])
def listDisplay():
    str_file = ""
    onlyfiles = getFileList()
    for f in onlyfiles:
        #str_file+=str(f)+"<br>"
        str_file+="<a href=http://"+IP+":5000/display/"+str(f)+">"+str(f)+"</a><br>"
    return str_file

@app.route('/listDownload', methods=['GET'])
def listDownload():
    str_file = ""
    onlyfiles = getFileList()
    for f in onlyfiles:
        #str_file+=str(f)+"<br>"
        str_file+="<a href=http://"+IP+":5000/download/"+str(f)+">"+str(f)+"</a><br>"
    return str_file

@app.route('/DeleteFile/<name>', methods=['GET'])
def DeleteFile(name):
    req = requests.delete("http://"+IP+":5000/delete/"+name)
    if(req.status_code == 200):
        return "File deleted"
    return "Error deleting file"

@app.route('/listDelete', methods=['GET'])
def listDelete():
    str_file = ''
    onlyfiles = getFileList()
    for f in onlyfiles:
        str_file+="<a href=DeleteFile/"+str(f)+">"+str(f)+"</a><br>"
    return str_file



if __name__ == "__main__":
    app.run(host=HOST, use_reloader=False, debug=True, port=80)
