#! /bin/bash


#init GPIO
echo 138 > /sys/class/gpio/export
echo 139 > /sys/class/gpio/export
echo 140 > /sys/class/gpio/export
echo in > /sys/class/gpio/pioE10/direction
echo in > /sys/class/gpio/pioE11/direction
echo in > /sys/class/gpio/pioE12/direction

my_func () {
var_pe10="0"
var_pe11="0"
var_pe12="0"

echo "BUTTON | LEFT | RIGHT"
while true
do
	var_pe10=`cat /sys/class/gpio/pioE10/value`
	var_pe11=`cat /sys/class/gpio/pioE11/value`
	var_pe12=`cat /sys/class/gpio/pioE12/value`
	echo "  $var_pe10    |   $var_pe11  |  $var_pe12"
	sleep 0.1
done
}

function ctrl_c() {
	echo 138 > /sys/class/gpio/unexport
	echo 139 > /sys/class/gpio/unexport
	echo 140 > /sys/class/gpio/unexport
	echo "Unexport GPIO and quit"
	exit 0

}

trap ctrl_c INT

my_func

exit 0
